package com.uas.platform.b2b.temporary.model;

import java.io.Serializable;

/**
 * 手机端获取审批节点
 * 
 * @author hejq
 * @time 创建时间：2017年3月18日
 */
public class MobileNodes implements Serializable, Comparable<MobileNodes> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Long jp_id;
	private String jp_caller;
	private Long jp_keyvalue;
	private String jp_nodename;
	private Long jp_nodedealman;
	private String jp_nodedealmanname;
	private String jp_processdefid;

	public Long getJp_id() {
		return jp_id;
	}

	public void setJp_id(Long jp_id) {
		this.jp_id = jp_id;
	}

	public String getJp_caller() {
		return jp_caller;
	}

	public void setJp_caller(String jp_caller) {
		this.jp_caller = jp_caller;
	}

	public Long getJp_keyvalue() {
		return jp_keyvalue;
	}

	public void setJp_keyvalue(Long jp_keyvalue) {
		this.jp_keyvalue = jp_keyvalue;
	}

	public String getJp_nodename() {
		return jp_nodename;
	}

	public void setJp_nodename(String jp_nodename) {
		this.jp_nodename = jp_nodename;
	}

	public Long getJp_nodedealman() {
		return jp_nodedealman;
	}

	public void setJp_nodedealman(Long jp_nodedealman) {
		this.jp_nodedealman = jp_nodedealman;
	}

	public String getJp_nodedealmanname() {
		return jp_nodedealmanname;
	}

	public void setJp_nodedealmanname(String jp_nodedealmanname) {
		this.jp_nodedealmanname = jp_nodedealmanname;
	}

	public String getJp_processdefid() {
		return jp_processdefid;
	}

	public void setJp_processdefid(String jp_processdefid) {
		this.jp_processdefid = jp_processdefid;
	}

	@Override
	public int compareTo(MobileNodes o) {
		return this.jp_id.compareTo(o.jp_id);
	}

}
